function values = ModalBaseValues3D(a,b,c,i,j,k)

% evaluates 3D orthonormal polynomial of order (i,j,k) on simplex at (a,b,c)

values1 = JacobiP(a,0,0,i);
values2 = JacobiP(b,2 * i + 1,0,j);
values3 = JacobiP(c,2 * i + 2 * j + 2,0,k);
values = sqrt(8) * values1 .* values2 .* ((1 - b) .^ i) .* values3 .* ((1 - c) .^ (i + j));

end